/* $Header: /fridge/cvs/cgi.targeted/targeted-list.h,v 1.3 2001/12/10 23:08:41 justins Exp $ */
/*
   
   targeted-list.h            Copyright(c) 2001-1998 Justin David Smith
   justins(at)chaos2.org      http://chaos2.org/
    
   Functions for managing directory lists
    

   This program is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as published by 
   the Free Software Foundation, version 2 of the License ONLY.

   This program is distributed in the hope that it will be useful, 
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation, 
   Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#ifndef __targeted_list
#define __targeted_list


/* Include files */
#include <targeted.h>
#include <targeted-config.h>
#include <libjtree.h>


/* Type definitions */
typedef bool (*listfilterfn)(const config *c, const char *r_path, const char *d_name);


/* Functions */
bool is_directory(const config *c, const char *r_path, const char *d_name);
bool not_is_directory(const config *c, const char *r_path, const char *d_name);
bintree *targeted_list_dir(const config *c, const char *r_path, listfilterfn filter);
const char *targeted_prev(const config *c, const bintree *list, const char *d_name);
const char *targeted_next(const config *c, const bintree *list, const char *d_name);
bool targeted_children(const config *c, const char **children, int max, const bintree *list);


#endif /* __targeted_list */
